/* NAME: Kirill Vasil'evich Timofeev, 322
 * ASGN: N1
 */
#ifndef VIEW_H
#define VIEW_H

class Controller;
#include "Logic.h"

class View
{

public:

    explicit View();
    ~View();

    virtual QString message(QString) = 0;
    virtual void showMessage(const QString msg, const bool b = false,QImage* temp = 0) = 0;
    virtual void mesBox(char*) = 0;
    virtual void controlActions(Controller* tr, char* temp = "") = 0;

    virtual void exit() = 0;

};

 class Console: public View
 {

 public:

     explicit Console();
     ~Console();

     QString message(QString);
     void showMessage(const QString msg, const bool b = false, QImage* temp = 0);
     void mesBox(char*);
     void controlActions(Controller* tr, char* temp = "");

     void exit(){}

 };

 #endif
